/*******************************************************************************
 * Copyright 2018 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/

package de.frankmuenster.mahoe.banks.aktien.gui.menu;

import de.frankmuenster.mahoe.banks.aktien.gui.parts.AktienListEntry;
import de.frankmuenster.mahoe.banks.aktien.gui.parts.AktienSettingsAktienTabellePart;

/**
 * The listener for the context menu of the table in
 * {@link AktienSettingsAktienTabellePart}.
 *
 * @author Frank Mnster
 */
public interface AktienTabelleContextMenuListener {

    /**
     * Notifies that the selected stock should be shown to be updated.
     *
     * @param stock
     *            to show
     */
    void notifyStockToUpdateSelected(AktienListEntry stock);

}
